This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 551886 - brightness fails every time
brightness fails every time
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-02 15:55 EST by Maximiliano Castanon
Modified: 2010-11-05 06:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 06:09:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gnome-power-manager --verbose (16.01 KB, application/octet-stream)
2010-01-02 15:55 EST, Maximiliano Castanon
no flags Details
console-kit-daemon (8.92 KB, application/octet-stream)
2010-01-04 00:07 EST, Maximiliano Castanon
no flags Details

  None (edit)
Description Maximiliano Castanon 2010-01-02 15:55:47 EST
Created attachment 381319 [details]
gnome-power-manager --verbose

Description of problem:
brightness level doesn't work

Version-Release number of selected component (if applicable):
GNOME Power Manager 2.28.2

How reproducible:
always

Steps to Reproduce:
1.change level brightness
2.doesn't work if it are not the minimum or maximum brightness
3.
  
Actual results:
fail every time

Expected results:
to work constantly

Additional info:

TI:16:56:12	TH:0x9184880	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,433
 - Button press event type=brightness-up
TI:16:56:12	TH:0x9184880	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 8
TI:16:56:13	TH:0x9184880	FI:gpm-button.c	FN:gpm_button_filter_x_events,121
 - Key 233 mapped to key brightness-up
TI:16:56:13	TH:0x9184880	FI:gpm-button.c	FN:gpm_button_emit_type,81
 - emitting button-pressed : brightness-up
TI:16:56:13	TH:0x9184880	FI:gpm-manager.c	FN:gpm_manager_button_pressed_cb,748
 - Button press event type=brightness-up
*** WARNING ***
TI:16:56:13	TH:0x9184880	FI:egg-console-kit.c	FN:egg_console_kit_is_active,214
 - no ConsoleKit session
TI:16:56:13	TH:0x9184880	FI:gpm-manager.c	FN:gpm_manager_button_pressed_cb,752
 - ignoring as not on active console
TI:16:56:13	TH:0x9184880	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,433
 - Button press event type=brightness-up
TI:16:56:13	TH:0x9184880	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 9
TI:16:56:14	TH:0x9184880	FI:gpm-button.c	FN:gpm_button_filter_x_events,121
 - Key 233 mapped to key brightness-up
TI:16:56:14	TH:0x9184880	FI:gpm-button.c	FN:gpm_button_emit_type,81
 - emitting button-pressed : brightness-up
TI:16:56:14	TH:0x9184880	FI:gpm-manager.c	FN:gpm_manager_button_pressed_cb,748
 - Button press event type=brightness-up
*** WARNING ***
TI:16:56:14	TH:0x9184880	FI:egg-console-kit.c	FN:egg_console_kit_is_active,214
 - no ConsoleKit session
TI:16:56:14	TH:0x9184880	FI:gpm-manager.c	FN:gpm_manager_button_pressed_cb,752
 - ignoring as not on active console
TI:16:56:14	TH:0x9184880	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,433
 - Button press event type=brightness-up
TI:16:56:14	TH:0x9184880	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 9

TI:16:56:14	TH:0x9184880	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 9 of 9

TI:16:56:14	TH:0x9184880	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,451
 - emitting brightness-changed : 100
Comment 1 Maximiliano Castanon 2010-01-02 15:56:36 EST
[maximi89@gateway ~]$ uname -a
Linux gateway 2.6.31.9-174.fc12.i686.PAE #1 SMP Mon Dec 21 06:04:56 UTC 2009 i686 athlon i386 GNU/Linux
 

this work very well on Fedora 11
Comment 2 Richard Hughes 2010-01-03 04:17:45 EST
(In reply to comment #0)
> *** WARNING ***
> TI:16:56:13 TH:0x9184880 FI:egg-console-kit.c FN:egg_console_kit_is_active,214
>  - no ConsoleKit session
> TI:16:56:13 TH:0x9184880 FI:gpm-manager.c FN:gpm_manager_button_pressed_cb,752
>  - ignoring as not on active console

ConsoleKit seems broken. Have you perhaps stopped the consolekit service?
Comment 3 Maximiliano Castanon 2010-01-03 23:50:21 EST
hi, i test the brightness and i can't change it correclty using gnome applet, but using the keys to change brightness it fails ever...

but if consolekit session fails, why it change the brigthness if i choose the maximum or minimum brigthness using the keys? and why the gnome applet work correctly in the same session?
Comment 4 Maximiliano Castanon 2010-01-04 00:07:00 EST
Created attachment 381471 [details]
console-kit-daemon

this is what i get from console-kit-daemon

final part:

console-kit-daemon[5039]: DEBUG: Freeing ChildData 0x9a44110
console-kit-daemon[5039]: DEBUG: Emitting seat-added: /org/freedesktop/ConsoleKit/Seat1
console-kit-daemon[5039]: DEBUG: Writing log for event: 1262581159.848 type=SEAT_ADDED : seat-id='Seat1' seat-kind=0
console-kit-daemon[5039]: WARNING: Failed to acquire org.freedesktop.ConsoleKit
console-kit-daemon[5039]: WARNING: Could not acquire name; bailing out
Comment 5 Maximiliano Castanon 2010-08-15 23:53:27 EDT
Hi guys,this bug has been fixed in recent version of powermanager... can you guys try to get a newer version of it into Fedora 12?
Comment 6 Pavel Alexeev 2010-08-16 02:55:55 EDT
What exactly version should be tested?
Comment 7 Maximiliano Castanon 2010-09-11 02:01:55 EDT
the actual version who i have is Version 2.28.2 of gnome-power-manager

i don't remember the exact version, i guess it's 2.30 or something like that...
Comment 8 Maximiliano Castanon 2010-09-11 02:03:59 EDT
actual 2.28.2 on Fedora 12, version who i guess can probably fix this bug is 2.30 
i repeat, i don't remember the exactly version who resolves this problem.
Comment 9 Bug Zapper 2010-11-03 22:00:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Maximiliano Castanon 2010-11-05 01:38:44 EDT
i'm on Fedora 14 now, it's working

Note You need to log in before you can comment on or make changes to this bug.